#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Statistics.h"

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace select {
namespace select_priority_fixed {


  Statistics::Statistics (string                                      name                       ,
			  morpheo::behavioural::Parameters_Statistics parameters_statistics      ,
			  Parameters                                  parameters
			  ) :
    morpheo::behavioural::Statistics(name                  ,
				     parameters_statistics ),
    _parameters(parameters)
  {
    log_printf(FUNC,Select_Priority_Fixed,"Statistics","Begin");
    log_printf(FUNC,Select_Priority_Fixed,"Statistics","End");
  };
  
  Statistics::~Statistics () 
  { 
    log_printf(FUNC,Select_Priority_Fixed,"~Statistics","Begin");
    log_printf(FUNC,Select_Priority_Fixed,"~Statistics","End");
  };

}; // end namespace select_priority_fixed
}; // end namespace select
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
